﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RCM {
    public partial class ConfigFormTab : UserControl {
        private IConfigSection _configSection;

        public ConfigFormTab(IConfigSection configSection) {
            InitializeComponent();
            Dock = DockStyle.Fill;
            _configSection = configSection;
            panel.Controls.Add(configSection.GetControl());
        }

        private void ButtonSave_Click(object sender, EventArgs e) {
            _configSection.UpdateFromControl();
            Config.Save();
        }
    }
}
