﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RCM {
    [DisplayName("Open in browser")]
    public class BrowserAction : IAction {
        private WebSite _website;

        public BrowserAction(WebSite website) {
            _website = website;
        }

        public async void Run() {
            await Task.Run(() => {
                if (_website.URL.StartsWith("http://") || _website.URL.StartsWith("https://"))
                    Process.Start(_website.URL); // TODO: vyplnovat hesla
            });
        }
    }
}
