﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RCM {
    public static class TypeExtensions {
        public static string GetDisplayName(this Type type) {
            DisplayName displayName = (DisplayName)type.GetCustomAttributes(typeof(DisplayName), false).FirstOrDefault();
            return displayName != null ? displayName.Text : type.Name;
        }
    }
}
