﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RCM {
    [DisplayName("WinBox")]
    [Serializable]
    public class WinBoxConfig : IConfigSection {
        public string WinBoxPath { get; set; }
        [NonSerialized]
        private WinBoxConfigControl _control;

        public UserControl GetControl() {
            if (_control == null || _control.IsDisposed) {
                _control = new WinBoxConfigControl(this);
            }
            return _control;
        }

        public void UpdateFromControl() {
            WinBoxPath = _control.textBoxWinBox.Text;
        }
    }
}
